summaryrefslogtreecommitdiffstats
path: root/aix-inst-libs.sh
diff options
context:
space:
mode:
authorGravatar damitha2010-06-29 09:02:07 +0000
committerGravatar damitha2010-06-29 09:02:07 +0000
commit81c283ae333c76203aa069f2121cbda5e32d4e7a (patch)
treea30893e2daee5f5fefda926d106928461b89661a /aix-inst-libs.sh
parentc35e1616e67de2d5852dae647c2db6d811f451bd (diff)
downloadaxis2c-81c283ae333c76203aa069f2121cbda5e32d4e7a.tar.gz
axis2c-81c283ae333c76203aa069f2121cbda5e32d4e7a.tar.bz2
Please refer AXIS2C-1437
git-svn-id: http://svn.apache.org/repos/asf/axis/axis2/c/core/trunk@958887 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'aix-inst-libs.sh')
-rw-r--r--aix-inst-libs.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/aix-inst-libs.sh b/aix-inst-libs.sh
new file mode 100644
index 0000000..a9b1543
--- /dev/null
+++ b/aix-inst-libs.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/sh
+# There is a Jira issue AXIS2C-1437 as following
+#==================================
+#On AIX, the dynamic are correctly built, but they are not installed by "make install". I only have .a and .la in $deploy_dir/lib. No .so. It looks like that the dynamic libraries are build with a ".so.0" extension instead of just ".so"
+#==================================
+#A workaround script is provided under the same jira to manually copy .so.0 to .so. This is it
+
+[[ -z "$deploy_dir" ]] && exit 2
+
+cd ${1:-axis2c-src-1.6.0}
+
+cp $(find . -name '*.so.0') $deploy_dir/lib
+cd $deploy_dir/lib
+for f in *.so.0
+do
+ x=$(basename $f .0)
+ [[ -h $x ]] || ln -s -f $f $x
+done
+mv libaxis2_mod_addr.* ../modules/addressing
+mv libaxis2_mod_log.* ../modules/logging